Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882962 - [abrt] cinnamon-settings-1.6.7-2.fc18: cinnamon-settings.py:711:_on_mode_changed:AttributeError: BackgroundSidePage instance has no attribute 'mainbox'
Summary: [abrt] cinnamon-settings-1.6.7-2.fc18: cinnamon-settings.py:711:_on_mode_chan...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d6a0f6393fdd9b8a45c4808dfdc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-03 13:50 UTC by Sean
Modified: 2014-02-05 13:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:31:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (525 bytes, text/plain)
2012-12-03 13:50 UTC, Sean
no flags Details
File: environ (1.35 KB, text/plain)
2012-12-03 13:50 UTC, Sean
no flags Details

Description Sean 2012-12-03 13:50:02 UTC
Description of problem:
I was trying to change the panel view from top to classic when crash occurred.

Version-Release number of selected component:
cinnamon-settings-1.6.7-2.fc18

Additional info:
cmdline:        python /usr/share/cinnamon-settings/cinnamon-settings.py
core_backtrace: 70a356751c59be989e6156655ff245b9a1f23e07 0x2c7 _on_mode_changed /usr/share/cinnamon-settings/cinnamon-settings.py -
executable:     /usr/share/cinnamon-settings/cinnamon-settings.py
kernel:         3.6.7-5.fc18.x86_64
uid:            1000

Truncated backtrace:
cinnamon-settings.py:711:_on_mode_changed:AttributeError: BackgroundSidePage instance has no attribute 'mainbox'

Traceback (most recent call last):
  File "/usr/share/cinnamon-settings/cinnamon-settings.py", line 711, in _on_mode_changed
    for i in self.mainbox.get_children():
AttributeError: BackgroundSidePage instance has no attribute 'mainbox'

Local variables in innermost frame:
self: <__main__.BackgroundSidePage instance at 0x13f25f0>
key: 'mode'
settings: <Settings object at 0x13f55a0 (GSettings at 0x16908a0)>

Comment 1 Sean 2012-12-03 13:50:06 UTC
Created attachment 656640 [details]
File: backtrace

Comment 2 Sean 2012-12-03 13:50:08 UTC
Created attachment 656641 [details]
File: environ

Comment 3 leigh scott 2012-12-03 14:24:44 UTC
Bug forwarded to https://github.com/linuxmint/Cinnamon/issues/1458

Comment 4 Fedora End Of Life 2013-12-21 09:36:53 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2014-02-05 13:31:36 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.